<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
    <AssemblyVersion>0.6.10.11</AssemblyVersion>
    <FileVersion>0.6.10.11</FileVersion>
  </PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Asp.Versioning.Http" Version="8.1.0" />
		<PackageReference Include="Ben.BlockingDetector" Version="0.0.4" />
		<PackageReference Include="Carter" Version="8.0.0" />
		<PackageReference Include="FluentValidation" Version="11.9.1" />
		<PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="11.9.1" />
		<PackageReference Include="MediatR.Extensions.Autofac.DependencyInjection" Version="12.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.4" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="8.0.4" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.4">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.4">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Autofac" Version="8.0.0" />
		<PackageReference Include="Autofac.Extensions.DependencyInjection" Version="9.0.0" />
		<PackageReference Include="Elmah.Io.AspNetCore.Serilog" Version="5.0.17" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.4" />
		<PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="8.0.0" />
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.20.1" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.2" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="8.0.0" />
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="8.0.2" />
		<PackageReference Include="Sentry.Serilog" Version="4.4.0" />
		<PackageReference Include="Serilog" Version="3.1.1" />
		<PackageReference Include="Serilog.AspNetCore" Version="8.0.1" />
		<PackageReference Include="Serilog.Sinks.Console" Version="5.0.1" />
		<PackageReference Include="Serilog.Sinks.PostgreSQL" Version="2.3.0" />
		<PackageReference Include="Serilog.Sinks.Seq" Version="7.0.0" />
		<PackageReference Include="Serilog.Sinks.ElmahIo" Version="5.0.38" />
		<PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
		<PackageReference Include="StackExchange.Redis.Extensions.AspNetCore" Version="10.2.0" />
		<PackageReference Include="StackExchange.Redis.Extensions.Core" Version="10.2.0" />
		<PackageReference Include="StackExchange.Redis.Extensions.Newtonsoft" Version="10.2.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.5.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="8.0.1" />
		<PackageReference Include="System.Data.SqlClient" Version="4.8.6" />
		<PackageReference Include="System.Drawing.Common" Version="8.0.4" />
	</ItemGroup>
	<ItemGroup>
		<Using Include="Autofac" />
		<Using Include="Autofac.Extensions.DependencyInjection" />
		<Using Include="Brizco.Common.Models.Claims" />
		<Using Include="Brizco.Common.Models.Entity" />
		<Using Include="Brizco.Common.Models.Exception" />
		<Using Include="Brizco.Common.Models.Mapper" />
		<Using Include="Brizco.Core.CoreServices.Abstracts" />
		<Using Include="Brizco.Core.EntityServices.Abstracts" />
		<Using Include="Brizco.Domain.CommandQueries.Commands" />
		<Using Include="Brizco.Domain.CommandQueries.Queries" />
		<Using Include="Brizco.Domain.Dtos.RequestDtos" />
		<Using Include="Brizco.Domain.Entities" />
		<Using Include="Brizco.Repository.Repositories.Base.Contracts" />
		<Using Include="Carter" />
		<Using Include="Mapster" />
		<Using Include="MediatR" />
		<Using Include="Microsoft.AspNetCore.Authentication.JwtBearer" />
		<Using Include="Microsoft.AspNetCore.Authorization" />
		<Using Include="Microsoft.AspNetCore.Identity" />
		<Using Include="Microsoft.AspNetCore.Mvc" />
		<Using Include="Microsoft.AspNetCore.Mvc.Authorization" />
		<Using Include="Microsoft.AspNetCore.Mvc.Filters" />
		<Using Include="Microsoft.EntityFrameworkCore" />
		<Using Include="Microsoft.Extensions.Primitives" />
		<Using Include="Microsoft.IdentityModel.Tokens" />
		<Using Include="Newtonsoft.Json" />
		<Using Include="Newtonsoft.Json.Serialization" />
		<Using Include="Serilog" />
		<Using Include="Serilog.Events" />
		<Using Include="Serilog.Sinks.ElmahIo" />
		<Using Include="Serilog.Sinks.SystemConsole.Themes" />
		<Using Include="Brizco.Api.WebFramework.Bases" />
		<Using Include="Brizco.Api.WebFramework.Configurations" />
		<Using Include="Brizco.Api.WebFramework.MiddleWares" />
		<Using Include="System.IdentityModel.Tokens.Jwt" />
		<Using Include="System.Linq.Expressions" />
		<Using Include="System.Net" />
		<Using Include="System.Security.Claims" />
		<Using Include="System.Text" />
	</ItemGroup>
  <ItemGroup>
    <Folder Include="Services\" />
    <Folder Include="wwwroot\" />
    <Folder Include="wwwroot\assets\vendor\bootstrap\css\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Brizco.Infrastructure\Brizco.Infrastructure.csproj" />
  </ItemGroup>

</Project>
